// PatchOperation.cpp: implementation of the CPatchOperation class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "PatchIT.h"
#include "PatchOperation.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CPatchOperation::CPatchOperation()
{
Next=NULL;
}

DWORD CPatchOperation::InsertedBytes()
{
int count=0;
CPatchOperation *np;
np=Next;
while(np) {count+=np->InsertedBytes(); np=np->Next;}
return count;
}

DWORD CPatchOperation::DeletedBytes()
{
int count=0;
CPatchOperation *np;
np=Next;
while(np) {count+=np->DeletedBytes(); np=np->Next;}
return count;
}

DWORD CPatchOperation::OpCount()
{
int count=0;
CPatchOperation *np;
np=Next;
while(np) {count++; np=np->Next;}
return count;
}

CPatchOperation::~CPatchOperation()
{

}
